%global gittag v1.3.beta1

Name:           vit
Version:        1.3
Release:        0.2.beta1%{?dist}
Summary:        A minimalist Taskwarrior full-screen terminal interface with Vim key bindings 


License:        GPLv3+
URL:            https://github.com/scottkosty/%{name}
Source0:        https://github.com/scottkosty/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  task
BuildRequires:  perl-generators
BuildRequires:  perl(Curses)
BuildRequires:  perl(Time::HiRes)
Requires:       task

%description
Features:
* Vim key bindings
* uncluttered display
* no mouse
* speed


%prep
%setup -q -n %{name}-%{version}.beta1

# install commands in /etc
sed -i-backup "s:@prefix@/share/vit:etc/vit:" Makefile.in
# Make it look at /etc/vit/, not /prefix/share/vit/
sed -i-backup "s:%prefix%/share/:/etc/:" vit.pl

%build
%configure
%make_build

%install
%make_install


%files
%doc AUTHORS CHANGES README
%license LICENSE
%{_bindir}/%{name}
%config(noreplace)%{_sysconfdir}/%{name}/commands
%{_mandir}/man1/%{name}*
%{_mandir}/man5/%{name}*


%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-0.2.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Aug 28 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.3-0.1.beta1
- Update to 1.3.beta1
- Remove unneeded patches
- Use github tarball
- Use make_build

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 17 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.2-4
- Add BR: perl(Time::HiRes) (FT24FTBFS, RHBZ#1308231).
- Add %%license.

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jul 11 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.2-1
- Update as per reviewer comments - rhbz1112072

* Tue Jun 24 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.2-1
- Update to new 1.2 stable version

* Mon Jun 23 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.2-0.1.beta1
- Initial rpmbuild

* Mon Jun 23 2014 Ankur Sinha <sanjay.ankur@gmail.com>
- 
